<link href="<?= base_url() ?>global/site/assets/css/styles.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="<?= base_url() ?>global/site/assets/easyui/themes/default/easyui.css"/>
<link rel="stylesheet" type="text/css" href="<?= base_url() ?>global/site/assets/easyui/themes/icon.css"/>
<!--<script  type="text/javascript" src="<?= base_url() ?>global/site/assets/js/jquery-1.5.min.js" ></script>-->
<script type="text/javascript" src="<?= base_url() ?>global/site/assets/easyui/jquery.easyui.min.js"></script>      
<script type="text/javascript">
    var hn = '<?= base_url() ?>';
    $('document').ready(function() {
        $('input#search').keyup(function() {
            var msg = $('#search').val();
            $.post(hn + 'patient/admin_checkupinfo/search_barang', {descp_msg: msg}, function(data) {
                $("#content_barang").html(data);
                $('#pp').pagination({
                    pageNumber: 1,
                    total: $('#recNum').val(),
                    //tentukan banyak rec yg mau ditampilkan disini
                    pageList: [10],
                    //sembunyikan pagelist pagintion easyui
                    showPageList: false
                });
            });
        }).keyup();
    });

    $(function() {
        $('#pp').pagination({
            total: $('#recNum').val(),
            pageList: [10],
            showPageList: true,
            onSelectPage: function(pageNumber, pageSize) {
                $('#pp').pagination({loading: true});
                var msg = $('#search').val();
                $.post(hn + 'patient/admin_checkupinfo/search_barang/#content_barang', {descp_msg: msg, pageNumber: pageNumber}, function(data) {
                    $("#content_barang").html(data);
                });
                $('#pp').pagination({loading: false});
            }
        });
    });
</script>
<!-- Data Grid Start -->
<div class="block">

    <div class="title lightTextShadow">قائمة معاينات المرضى</div>
    <div class="content">
        <a href="<?= base_url() ?>patient/admin_checkupinfo/create" class="button sub inlineBlock rnd3 lightTextShadow">
            <span>إنشاء معاينة جديدة<img src="<?= base_url() ?>global/modules/admin/images/plus-small.gif" width="12" height="9" alt="New new" /></span>
        </a>
        <a href="<?= base_url() ?>patient/admin_checkupinfo/export_checkupinfo_reprt" class="button sub inlineBlock rnd3 lightTextShadow">
            <span>طباعة الكل</span>
        </a>
        <!-- Notification boxes -->
        <?php echo $this->template->flash_msg(); ?>

<div class="form">
    <label for="search">البحث</label>
    <input type="text" name="search" id="search" class="textBox"/>
    <div id="content_barang"></div>
    <div id="pp"></div>
</div>
    </div>
</div><!-- Data Grid End --